Index: include/libroar/basic.h
===================================================================
--- include/libroar/basic.h	(revision 5240)
+++ include/libroar/basic.h	(revision 5270)
@@ -58,5 +58,5 @@
  unsigned int stream;
  uint32_t pos;
- int datalen;
+ size_t datalen;
  char data[LIBROAR_BUFFER_MSGDATA];
  int16_t seq;
Index: include/libroar/config.h
===================================================================
--- include/libroar/config.h	(revision 5202)
+++ include/libroar/config.h	(revision 5270)
@@ -70,5 +70,5 @@
 
 struct roar_libroar_config_codec {
- unsigned int codec; // Codec ID
+ uint32_t codec; // Codec ID
 
  // parameters which are set:
Index: include/libroar/ltm.h
===================================================================
--- include/libroar/ltm.h	(revision 4708)
+++ include/libroar/ltm.h	(revision 5270)
@@ -140,5 +140,5 @@
  * result set was collected in the server.
  */
-int roar_ltm_get_numchans(struct roar_ltm_result * res, int streamidx);
+int roar_ltm_get_numchans(struct roar_ltm_result * res, size_t streamidx);
 
 /* Extract a single value from the result.
@@ -160,5 +160,5 @@
  * (channels are counted from zero to N-1, not from 1 to N)
  */
-int64_t roar_ltm_extract(struct roar_ltm_result * res, int mt, int streamidx, int channel);
+int64_t roar_ltm_extract(struct roar_ltm_result * res, int mt, size_t streamidx, int channel);
 
 #endif
Index: include/libroar/stream.h
===================================================================
--- include/libroar/stream.h	(revision 5238)
+++ include/libroar/stream.h	(revision 5270)
@@ -96,9 +96,9 @@
 int roar_stream_m2s     (struct roar_stream * s, struct roar_message * m);
 
-int    roar_str2codec (const char * codec) _LIBROAR_STREAM_STDATTRS _LIBROAR_ATTR_PURE;
-const char * roar_codec2str (const int    codec) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
+int32_t      roar_str2codec (const char   * codec) _LIBROAR_STREAM_STDATTRS _LIBROAR_ATTR_PURE;
+const char * roar_codec2str (const uint32_t codec) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
 
-int    roar_mime2codec (const char * mime) _LIBROAR_STREAM_STDATTRS _LIBROAR_ATTR_PURE;
-const char * roar_codec2mime (const int    codec) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
+int32_t      roar_mime2codec (const char   * mime) _LIBROAR_STREAM_STDATTRS _LIBROAR_ATTR_PURE;
+const char * roar_codec2mime (const uint32_t codec) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
 
 int32_t roar_str2rate(const char * rate) _LIBROAR_STREAM_STDATTRS _LIBROAR_ATTR_PURE;
Index: include/libroardsp/amp.h
===================================================================
--- include/libroardsp/amp.h	(revision 4708)
+++ include/libroardsp/amp.h	(revision 5270)
@@ -42,5 +42,4 @@
 int roar_amp_pcm_8bit  (int8_t  * output, int8_t  * input, int samples, int channels, struct roar_mixer_settings * set);
 int roar_amp_pcm_16bit (int16_t * output, int16_t * input, int samples, int channels, struct roar_mixer_settings * set);
-int roar_amp_pcm_24bit (void    * output, void    * input, int samples, int channels, struct roar_mixer_settings * set);
 int roar_amp_pcm_32bit (int32_t * output, int32_t * input, int samples, int channels, struct roar_mixer_settings * set);
 
Index: include/libroardsp/fader.h
===================================================================
--- include/libroardsp/fader.h	(revision 4708)
+++ include/libroardsp/fader.h	(revision 5270)
@@ -43,5 +43,5 @@
 struct roar_fader_state {
  int     rate;
- size_t  pcmoffset;
+ ssize_t pcmoffset;
  ssize_t start;
  ssize_t stop;
Index: include/libroardsp/mixer.h
===================================================================
--- include/libroardsp/mixer.h	(revision 4708)
+++ include/libroardsp/mixer.h	(revision 5270)
@@ -42,5 +42,4 @@
 int roar_mix_pcm_8bit  (int8_t  * output, int8_t  ** input, int samples);
 int roar_mix_pcm_16bit (int16_t * output, int16_t ** input, int samples);
-int roar_mix_pcm_24bit (void    * output, void    ** input, int samples);
 int roar_mix_pcm_32bit (int32_t * output, int32_t ** input, int samples);
 
